package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 院校排名对象 b_busi_wish_universities_ranking
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public class BBusiWishUniversitiesRanking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;

    /** 排名类型 */
    @Excel(name = "排名类型")
    private String type;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    private List<String> collegeCodes;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String collegeName;

    /** 排名 */
    @Excel(name = "排名")
    private Integer ranking;

    //去年排名
    private Integer lastRanking1;
    //前年排名
    private Integer lastRanking2;

    /** 年份 */
    @Excel(name = "年份")
    private Integer year;

    /** 学校id */
    @Excel(name = "学校id")
    private Long collegeNumId;

    private BBusiWishUniversities universities;

    public Integer getLastRanking1() {
        return lastRanking1;
    }

    public void setLastRanking1(Integer lastRanking1) {
        this.lastRanking1 = lastRanking1;
    }

    public Integer getLastRanking2() {
        return lastRanking2;
    }

    public void setLastRanking2(Integer lastRanking2) {
        this.lastRanking2 = lastRanking2;
    }

    public BBusiWishUniversities getUniversities() {
        return universities;
    }

    public void setUniversities(BBusiWishUniversities universities) {
        this.universities = universities;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setCollegeName(String collegeName) 
    {
        this.collegeName = collegeName;
    }

    public String getCollegeName() 
    {
        return collegeName;
    }
    public void setRanking(Integer ranking)
    {
        this.ranking = ranking;
    }

    public Integer getRanking()
    {
        return ranking;
    }
    public void setYear(Integer year)
    {
        this.year = year;
    }

    public Integer getYear()
    {
        return year;
    }
    public void setCollegeNumId(Long collegeNumId) 
    {
        this.collegeNumId = collegeNumId;
    }

    public Long getCollegeNumId() 
    {
        return collegeNumId;
    }

    public List<String> getCollegeCodes() {
        return collegeCodes;
    }

    public void setCollegeCodes(List<String> collegeCodes) {
        this.collegeCodes = collegeCodes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("collegeCode", getCollegeCode())
            .append("collegeName", getCollegeName())
            .append("ranking", getRanking())
            .append("year", getYear())
            .append("collegeNumId", getCollegeNumId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
